Gecode::Int::Sorted::TupleMinIncExt< View > Class Template Reference

Extended view comparison on pairs of views. More...

`#include <sortsup.hpp>`

## Public Member Functions

bool | operator() (const ViewPair< View > &x, const ViewPair< View > &y)

## Detailed Description

template<class View>
class Gecode::Int::Sorted::TupleMinIncExt< View >

Extended view comparison on pairs of views.

Checks whether the lower domain bound of the first component of x (the variable itself) is smaller than the lower domain bound of the first component of y. If they are equal it checks their upper bounds. If they are also equal we sort the views by the permutation variables.

Definition at line 350 of file sortsup.hpp.

## Member Function Documentation

## operator()()

template<class View>

bool Gecode::Int::Sorted::TupleMinIncExt< View >::operator() | ( | const ViewPair< View > & | x,
|  | const ViewPair< View > & | y )

inline

Definition at line 352 of file sortsup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/sorted/sortsup.hpp